<?xml version="1.0"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/TR/WD-xsl">

<xsl:template match="/">
<xsl:apply-templates />
</xsl:template>

<xsl:template match="/activitat">
	<html>
		<head>
			<title>Informe d'activitats 
				 <xsl:value-of select="generat" />--
				 <xsl:value-of select="eina" /> 
			</title> 
		</head>
		<body>
			<h1 style="font-size:2em">Informe d'activitats
				 <xsl:value-of select="generat" />--
				 <xsl:value-of select="eina" /> 		
			</h1>
			<p style="position:relative; right:5px;">
				<a href="logExcepcions.xml" title="Informe d'excepcions">Informe d'excepcions</a>
			</p>
			<p style="margin-right:30%;text-align:right;font-size:0.8em;font-weight:normal">
				iniciat <xsl:value-of select="inici" /></p>
			<p><xsl:apply-templates match="record" /> </p>
			<p style="margin-right:30%;text-align:right;font-size:0.8em;font-weight:normal">
				finalitzat <xsl:value-of select="fi" /></p>
		</body>
	</html>
</xsl:template>

<xsl:template match="record">
	<strong><xsl:value-of select="objecte" /></strong>  
	<em><xsl:value-of select="id" /></em>  
	<span style="color:blue"><xsl:value-of select="estat" /></span>
	<br />
	<xsl:apply-templates match="informacio" />
</xsl:template>

<xsl:template match="informacio">
	<p style="margin-left:4em;margin-right:7em;"><xsl:apply-templates match="detail" /></p>
</xsl:template>


<xsl:template match="detail">
	<xsl:value-of select="." /><br />
</xsl:template>


<xsl:template match="web">
	<ul style="list-style-type:none;">
		<li><strong>Web processat: </strong><xsl:value-of select="nom" /></li>
		<ul style="list-style-type:none;">			
			 <xsl:apply-templates match="resultat" /> 
		</ul>
	</ul>		
</xsl:template>


<xsl:template match="local">
	<li><strong>a partir del web situat a: </strong><xsl:value-of select="directori_local" /></li>
	<li><strong>amb el fitxer inicial: </strong><xsl:value-of select="fitxer_inicial" /></li>
</xsl:template>

<xsl:template match="resultat">
	<li><strong>el resultat s'ha escrit a: </strong><xsl:value-of select="directori_resultat" /><br /></li>
</xsl:template>

<xsl:template match="xarxa">
	<li><strong>i ubicacio base a la xarxa: </strong><xsl:value-of select="url" />
			<xsl:apply-templates match="ip_alternativa" /> </li>
</xsl:template>

<xsl:template match="ip_alternativa">
	(<xsl:value-of select="." />)	
</xsl:template>

</xsl:stylesheet>

